#ifndef linux
#undef CONFIG_APPLET_MIXER
#elif CONFIG_APPLET_MIXER

#include "ywindow.h"
#include "ytooltip.h"
#include "ytimer.h"

#include <stdio.h>

#define USE_PIXMAP 1

#define PIX_NUM 5

#define mixerDEV "/dev/mixer"
//#define mixerDEV "/dev/snd/controlC0"

// http://www.4front-tech.com/pguide/oss.pdf

class MYWindow: public YWindow {
public:
    MYWindow(YWindow *aParent):
	YWindow(aParent) {
#ifdef CONFIG_TOOLTIP
    fToolTip=0;
    fToolTipTimer=0;
#endif
    }
    virtual void handleCrossing(const XCrossingEvent &crossing);
    virtual void setToolTip(const char *tip);
private:
#ifdef CONFIG_TOOLTIP
    YToolTip *fToolTip;
#endif
    static YTimer *fToolTipTimer;
};


class YMixer: public MYWindow, public YTimerListener {
	public:
		YMixer(YWindow *aParent = 0);
		virtual ~YMixer();

		virtual void paint(Graphics &g, const YRect &r);

		void updateToolTip();
		void updateMute();
		virtual bool handleTimer(YTimer *t);

		virtual void handleButton(const XButtonEvent &button);

	private:
		YTimer *mixerTimer;

#if USE_PIXMAP
		int init_pixmaps();
#endif
		
		int bar_height;

		int mixer_fd;
		int mixer_init();
		int mixer_read();
		int mixer_write(int);
		int mixer_ismuted();
		int mixer_mute();
		int mixer_unmute();

		int last_val;
		int last_muted;
		ref<YPixmap> PixMix[PIX_NUM];
		ref<YPixmap> PixMute;
};
#endif
