#ifndef __YMSGBOX_H
#define __YMSGBOX_H

#include "ydialog.h"
#include "ylabel.h"
#include "yactionbutton.h"

#define MSGB_CENTER 0
#define MSGB_TOP_LEFT 1
#define MSGB_TOP_RIGHT 2
#define MSGB_BOTTON_LEFT 3
#define MSGB_BOTTON_RIGHT 4

class YMsgBox;

class YMsgBoxListener {
public:
    virtual void handleMsgBox(YMsgBox *msgbox, int operation) = 0;
protected:
    virtual ~YMsgBoxListener() {};
};

class YMsgBox: public YDialog, public YActionListener {
public:
    YMsgBox(int buttons = 0, int decorations = MWM_DECOR_BORDER | MWM_DECOR_TITLE | MWM_DECOR_MENU, YWindow *owner = 0);
    virtual ~YMsgBox();

    void setTitle(const char *title);
    void setText(const char *text);
    void setPixmap(ref<YPixmap> pixmap);

    void setMsgBoxListener(YMsgBoxListener *listener) { fListener = listener; }
    YMsgBoxListener *getMsgBoxListener() const { return fListener; }

    void actionPerformed(YAction *action, unsigned int modifiers);
    virtual void handleClose();
    virtual void handleFocus(const XFocusChangeEvent &focus);

    enum {
        mbOK = 0x1,
        mbCancel = 0x2
    };

    void showFocused() { showFocused(MSGB_CENTER); } ;
    void showFocused(int pos);

    void autoSize();

private:
    YLabel *fLabel;
    YActionButton *fButtonOK;
    YActionButton *fButtonCancel;

    int addButton(YButton *button);

    YMsgBoxListener *fListener;
};

#endif
